USB_EP_FIFO_FLUSH(9)

NAME
usb_ep_fifo_flush - flushes contents of a fifo

SYNOPSIS

void usb_ep_fifo_flush (struct usb_ep * ep);

ARGUMENTS

ep  the endpoint whose fifo is being flushed.

DESCRIPTION

This call may be used to flush the ``unclaimed data'' that may exist in an endpoint fifo after abnormal transaction terminations. The call must never be used except when endpoint is not being used for any protocol translation.

AUTHOR
David Brownell <dbrownell@users.sourceforge.net>.